          This issue has been migrated from Redmine: https://dev.icinga.com/issues/2207

Created by EagleDelta1 on 2011-12-20 19:41:53 +00:00

Assignee: mhein

Status: Closed  (closed on 2012-01-30 13:01:38 +00:00)

Target Version: 1.6.2

Last Update: 2012-02-14 16:40:37 +00:00 (in Redmine)



;---------------------------------------------------

;Icinga Interface Error Report

;---------------------------------------------------

;Header definitions

CreationTime = 'Tue Dec 20 2011 12:47:59 GMT-0600 (Central Standard Time)'

URL = 'http://it.hwtears.com/icinga-web/'

Platform = 'Win32'

User-Agent = 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.874.121 Safari/535.2'

;The following errors occured

[Error 1]

Message = 'Uncaught TypeError: Cannot read property 'className' of undefined'

File = ''

Line = '20'

Time = 'Tue Dec 20 2011 12:47:02 GMT-0600 (Central Standard Time)'

Comment = 'Appears upon login each time'

[Error 2]

Message = 'Uncaught ReferenceError: record is not defined'

File = 'http://it.hwtears.com/icinga-web/modules/appkit/squishloader/javascript'

Line = '52880'

Time = 'Tue Dec 20 2011 12:47:06 GMT-0600 (Central Standard Time)'

Comment = 'Attempting to click on the link created by the PNP4Nagios extension. PNP4Nagios tested and working - Icinga-Web issue. Affects Host links only, service links work'

;EOF
same issue as in https://dev.icinga.org/issues/2210
	Status changed from New to Resolved


Hi.

This was fixed in https://git.icinga.org/?p=icinga-web.git;a=commit;h=6c0bd68cdaf8ddb537064e52f661cfe8a611f8b8 and cherry-picked to r1.6.
          Updated by mfriedrich on 2012-01-31 07:44:23 +00:00

	
Done % changed from 0 to 100

-------- Original Message --------

Subject:    Re: [icinga-users] Icinga-web and PNP4Nagios: problem about integration

Date:   Tue, 31 Jan 2012 07:58:05 +0100

From:   Gauthier DOUCHET

Reply-To:   gauthier.douchet gmail.com, icinga-users lists.sourceforge.net

To:     icinga-users lists.sourceforge.net

Hello,

2012/1/30 Michael Friedrich

  Gauthier DOUCHET wrote:
  > Hello,
  >
  > I set up an icinga-web install and integrated pnp4nagios.
  > I followed what was written on the INSTALL doc but I have a strange
  > problem: I can see graphs for services but not for an host (for the ping).
  >
  > When I click on the icon for graph for an host, nothing appears and I
  > have this problem report:
  > The following 1 error(s) occured, sorry for that:
  > Message: record is not defined
  > File: http://server/icinga-web/modules/appkit/squishloader/javascript
  > Line: 52880
  > Occured: Sun Jan 29 22:53:37 2012
  > Comment: No comment
  >
  > If I click on the icon related to a service, all is working and graphs
  > are displayed.
  >
  > What could be wrong with my install?

  could be related to this bug report.

  https://dev.icinga.org/issues/2207
  https://git.icinga.org/?p=icinga-web.git;a=commit;h=6c0bd68cdaf8ddb537064e52f661cfe8a611f8b8

  can you try r1.6 or the diff on your system?



It worked !

Thank you really much.

Gauthier
